Package be.ehealth.businessconnector.hub.service

# Class ServiceFactory

java.lang.Object
be.ehealth.businessconnector.hub.service.ServiceFactory

public final class ServiceFactory extends Object
A factory for `IntraHubService`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `INTRAHUB_PROTOCOL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GenericRequest`
  `getIntraHubPort(SAMLToken token, String soapAction)`
  Gets the consultation service.
  `static GenericRequest`
  `getIntraHubPortWithFolderEncryption(SAMLToken token, Crypto crypto, String soapAction)`
  Deprecated.
  Use the same function without crypto
  `static GenericRequest`
  `getIntraHubPortWithFolderEncryption(SAMLToken token, String soapAction)`
  `static IntraHubService`
  `getIntraHubService()`
  Gets the `IntraHubService`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### INTRAHUB_PROTOCOL

    public static final String INTRAHUB_PROTOCOL
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getIntraHubPort

    public static GenericRequest getIntraHubPort(SAMLToken token, String soapAction) throws MalformedURLException, TechnicalConnectorException, IntraHubBusinessConnectorException
    Gets the consultation service.
    Parameters:
      `token` - the token
    Returns:
      the consultation service
    Throws:
      `MalformedURLException` - the malformed url exception
      `TechnicalConnectorException` - the technical connector exception
      `IntraHubBusinessConnectorException`

  - ### getIntraHubPortWithFolderEncryption

    @Deprecated public static GenericRequest getIntraHubPortWithFolderEncryption(SAMLToken token, Crypto crypto, String soapAction) throws MalformedURLException, TechnicalConnectorException, IntraHubBusinessConnectorException
    Deprecated.
    Use the same function without crypto
    Gets the consultation service.
    Parameters:
      `token` - the token
      `crypto` -
    Returns:
      the consultation service
    Throws:
      `MalformedURLException` - the malformed url exception
      `TechnicalConnectorException` - the technical connector exception
      `IntraHubBusinessConnectorException`

  - ### getIntraHubPortWithFolderEncryption

    public static GenericRequest getIntraHubPortWithFolderEncryption(SAMLToken token, String soapAction) throws MalformedURLException, TechnicalConnectorException, IntraHubBusinessConnectorException
    Throws:
      `MalformedURLException`
      `TechnicalConnectorException`
      `IntraHubBusinessConnectorException`

  - ### getIntraHubService

    public static IntraHubService getIntraHubService()
    Gets the `IntraHubService`